STSEC(4)

NAME
stsec - ST7 embedded controller

SYNOPSIS
stsec* at iic?

DESCRIPTION
The stsec driver supports the ST7FOX1 embedded controller found on the Gdium Liberty netbook.

This chip is used to control battery charge and discharge. It also reports the lid status, as well as the state of the power and wavelan radio enable buttons.

Battery status and charge information is made available through the sysctl(3) hardware sensor interface.

SEE ALSO
iic(4), intro(4), sensorsd(8), sysctl(8)